Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.wizard
Interface IWizardNode

public interface IWizardNode

A wizard node acts a placeholder for a real wizard in a wizard selection page. It is done in such a way that the actual creation of a wizard can be deferred until the wizard is really needed.

When a wizard node comes into existence, its wizard may or may not have been created yet; `isContentCreated` can be used to determine which. A node may be asked for its wizard using `getWizard`, which will force it to be created if required. Once the client is done with a wizard node, its `dispose`method must be called to free up the wizard; once disposes, the node should no longer be used.

This interface should be implemented by clients wishing to support this kind of wizard placeholder in a wizard selection page.

See Also:
  `WizardSelectionPage`

Method Summary
`void` | `dispose()` Disposes the wizard managed by this node.
`Point` | `getExtent()` Returns the extent of the wizard for this node.
`IWizard` | `getWizard()` Returns the wizard this node stands for.
`boolean` | `isContentCreated()` Returns whether a wizard has been created for this node.

Method Detail

### dispose

    public void dispose()

  Disposes the wizard managed by this node. Does nothing if the wizard has not been created.

  This is the last message that should ever be sent to this node.

### getExtent

    public Point getExtent()

  Returns the extent of the wizard for this node.

  If the content has not yet been created, calling this method does not trigger the creation of the wizard. This allows this node to suggest an extent in advance of actually creating the wizard.

  Returns:
    the extent, or `(-1, -1)` extent is not known

### getWizard

    public IWizard getWizard()

  Returns the wizard this node stands for.

  If the content has not been created beforehand, calling this method triggers the creation of the wizard and caches it so that the identical wizard object is returned on subsequent calls.

  Returns:
    the wizard

### isContentCreated

    public boolean isContentCreated()

  Returns whether a wizard has been created for this node.

  Returns:
    `true` if a wizard has been created, and `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.